<?php

/**
 * Fired during plugin activation
 *
 * @link       https://linkpizza.com
 * @since      1.0.0
 *
 * @package    linkPizza_Manager
 * @subpackage linkPizza_Manager/includes
 */
class linkPizza_Manager_Activator {

	/**
	 * Activation methods.
	 *
	 * @since    1.0.0
	 */
	public static function activate() {

		// Link summary.
		if ( get_option( 'pzz_link_summary_border_color' ) === false ) {
			add_option( 'pzz_link_summary_border_color', '#D3D3D3', '', 'yes' );
		}

		if ( get_option( 'pzz_link_summary_border_width' ) === false ) {
			add_option( 'pzz_link_summary_border_width', '1', '', 'yes' );
		}

		if ( get_option( 'pzz_link_summary_border_padding' ) === false ) {
			add_option( 'pzz_link_summary_border_padding', '6', '', 'yes' );
		}

		if ( get_option( 'pzz_link_summary_width' ) === false ) {
			add_option( 'pzz_link_summary_width', '100', '', 'yes' );
		}

		if ( get_option( 'pzz_link_summary_link_color' ) === false ) {
			add_option( 'pzz_link_summary_link_color', '#3699DC', '', 'yes' );
		}

		if ( get_option( 'pzz_link_summary_position' ) === false ) {
			add_option( 'pzz_link_summary_position', '2', '', 'yes' );
		}

		if ( get_option( 'pzz_link_summary_layout_type' ) === false ) {
			add_option( 'pzz_link_summary_layout_type', '2', '', 'yes' );
		}
	}
}
